All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > Class Template Reference

Specialization for a view of a single value (0-dimensional) More...

## Public Member Functions

__host__ __device__ SubTensor < TensorType, 0, PtrTraits > | operator= (typename TensorType::DataType val)
__host__ __device__ | operator typename TensorType::DataType & ()
__host__ __device__ | operator const typename TensorType::DataType & () const
__host__ __device__ TensorType::DataType * | operator& ()
__host__ __device__ const TensorType::DataType * | operator& () const
__host__ __device__ TensorType::DataPtrType | data ()
| Returns a raw accessor to our slice.
__host__ __device__ const TensorType::DataPtrType | data () const
| Returns a raw accessor to our slice (const).
template<typename T >
__host__ __device__ T & | as ()
| Cast to a different datatype.
template<typename T >
__host__ __device__ const T & | as () const
| Cast to a different datatype (const).
template<typename T >
__host__ __device__ PtrTraits < T >::PtrType | dataAs ()
| Cast to a different datatype.
template<typename T >
__host__ __device__ PtrTraits < const T >::PtrType | dataAs () const
| Cast to a different datatype (const)
__device__ TensorType::DataType | ldg () const
| Use the texture cache for reads.
template<typename T >
__device__ T | ldgAs () const
| Use the texture cache for reads; cast as a particular type.

## Protected Member Functions

__host__ __device__ | SubTensor (TensorType &t, typename TensorType::DataPtrType data)

## Protected Attributes

TensorType & | tensor_
| The tensor we're referencing.
TensorType::DataPtrType const | data_
| Where our value is located.

## Friends

class | SubTensor< TensorType, 1, PtrTraits >
| One dimension greater can create us.
class | Tensor< typename TensorType::DataType, 1, TensorType::IsContig, typename TensorType::IndexType, PtrTraits >
| Our parent tensor can create us.

## Detailed Description

### template<typename TensorType, template< typename U > class PtrTraits>
class faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits >

Specialization for a view of a single value (0-dimensional)

Definition at line 376 of file Tensor.cuh.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/Tensor.cuh